Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1428634 - [RFE] [rbd CLI]: ability to mass promote / demote all mirrored images within a pool
Summary: [RFE] [rbd CLI]: ability to mass promote / demote all mirrored images within ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 2.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 3.0
Assignee: Jason Dillaman
QA Contact: Parikshith
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-03-03 00:48 UTC by Jason Dillaman
Modified: 2017-12-05 23:32 UTC (History)
4 users (show)

Fixed In Version: RHEL: ceph-12.1.2-1.el7cp Ubuntu: ceph_12.1.2-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.Promoting and demoting all images in a pool at once You can now promote or demote all images in a pool at the same time by using the following commands: ---- rbd mirror pool promote <pool> rbd mirror pool demote <pool> ---- This is especially useful in an event of a failover, when all non-primary images must be promoted to primary ones.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:32:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 18748 None None None 2017-03-03 00:48:30 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Jason Dillaman 2017-03-03 00:48:31 UTC
Description of problem:
In an event of a failover, non-primary images need to be promoted to primary, with OpenStack Cinder, this is being done by iterating through each image of a pool. Could we have a more global call that could promote all images (at the same time?) of a pool to primary? The main idea is to have a fast process for this, faster than iterating through each image.

Version-Release number of selected component (if applicable):
3.0

Comment 4 Jason Dillaman 2017-09-15 11:34:27 UTC
Use the new rbd CLI commands of "rbd mirror pool promote <pool>" and "rbd mirror pool demote <pool>".

Comment 11 errata-xmlrpc 2017-12-05 23:32:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.